#!/usr/bin/python

# Copyright (c) 2002-2010 by Compatible Systems Engineering, Inc.
# All rights reserved.
#
# Aaron Mark Alpher
# Compatible Systems Engineering, Inc.
# 44710 Cape Court
# Suite 142
# Ashburn, VA 20147 USA
#
# 703-723-8580 Phone
# 703-723-8148 FAX
#
# www.colorburstrip.com
# cse@colorburstrip.com

# This Python script removes the two components which allow the ColorBurst LPD to function:
#	The ColorBurst LPD itself (named ColorBurstLPD)
#	The LPD plist which serves as operating instructions for launchd.

import os, sys, subprocess

# remove the LPD executable
try:
	os.remove('/Library/Application Support/ColorBurst/ColorBurstLPD')
except:
	pass

# remove the ColorBurst support directory if subsequently empty
try:
	os.rmdir('/Library/Application Support/ColorBurst')
except:
	pass

# unregister the LPD from root launchd
if os.getuid() != os.geteuid():
	os.setuid(os.geteuid())
subprocess.call(['/bin/launchctl', 'unload', '-w', '/Library/LaunchDaemons/com.colorburstrip.lpd.plist'])

# remove the launchd descriptor file
try:
	os.remove('/Library/LaunchDaemons/com.colorburstrip.lpd.plist')
except:
	pass
